TinyMCE: Cloze Editor

tinymce_clozeeditor
Maintained by Picture of Andreas GlombitzaAndreas Glombitza, Germán and temudginGermán Valero
An interface that integrates with Moodles existing HTML editor (HTMLArea in 1.9 and TinyMCE in 2.x and 3.x) to support teachers in creating CLOZE (Embedded answers) questions in the GIFT syntax. It will also read and edit existing CLOZE items.

Cloze Editor v3.5-r7

Release notes

Installation methods for Moodle 3.4 and higher versions only

As of Moodle version 3.4, the plugin can be deployed from within Moodle,

by uploading the cloze editor ZIP file
(see http://docs.moodle.org/35/en/Installing_add-ons#Installing_via_uploaded_ZIP_file).

Download the cloze editor ZIP-package from the Moodle plugins database
In your Moodle "Site Administration" menu, go to "Plugins/Install add-ons"
Look for the "Install add-on from ZIP file" section
Select "TinyMCE HTML editor / tinymce (tinymce)" as "Plugin type"
Drag and drop (or choose location and upload to server) the "clozeeditor.zip" file inside the ZIP package area
Tick the acknowledgement statement check box
At the add-on package validation, if everything is OK, click on the "Install add-on!" button
If the screen goes blank and the installation pauses, hit the "Update screen" key (F5) as many times (about 5) as needed
At the Plugins check window, click on the "Upgrade Moodle database now" button
At the Final window showing Success, click on the "Continue" button


Alternative installation method :
Download the cloze editor ZIP-package from the Moodle plugins database
Unzip
Copy the contents of the directory to the directory lib/editor/tinymce/plugins on your Moodle installation,
keeping the directory structure.
Visit ' Administration > Site Administration > Notifications '
Finish the installation process by clicking on the 'Upgrade Moodle database now' button.
Moodle 3.4, 3.5, 3.6, 3.7

Version information

Version build number
2019011404
Version release name
v3.5-r7
Can be updated from
1.0, 1.0, v3.5-r1 (2018060916), v3.5-r4, v3.5-r5
Maturity
Stable version
MD5 Sum
0d8e38921d470378dad3910559fa0c6d
Supported software
Moodle 3.4, Moodle 3.5, Moodle 3.6, Moodle 3.7
  • This is the latest release for Moodle 3.4
  • This is the latest release for Moodle 3.5
  • This is the latest release for Moodle 3.6
  • This is the latest release for Moodle 3.7

Version control information

Version control system (VCS)
GIT
VCS repository URL
VCS branch
v3.5r7
VCS tag
v3.5r7

Default installation instructions for plugins of the type TinyMCE

  1. Make sure you have all the required versions.
  2. Download and unpack the module.
  3. Place the folder (eg "myeditor") in the "lib/editor/tinymce/plugins" subdirectory.
  4. Visit http://yoursite.com/admin to finish the installation